=== debian/changelog ===
msgpack-cxx (4.1.1-4) unstable; urgency=medium

  * autopkgtests: Depend on libmsgpack-cxx-dev, not libmsgpack-dev
  * autopkgtests: Use verbose build output to see the cmdline

 -- James McCoy <jamessan@debian.org>  Fri, 29 Jul 2022 06:39:53 -0400

msgpack-cxx (4.1.1-3) unstable; urgency=medium

  * Update Vcs-* URLs to debian namespace
  * Allow stderr in autopkgtest output

 -- James McCoy <jamessan@debian.org>  Tue, 26 Jul 2022 06:52:59 -0400

msgpack-cxx (4.1.1-2) unstable; urgency=medium

  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Mon, 25 Jul 2022 19:55:43 -0400

msgpack-cxx (4.1.1-1) experimental; urgency=medium

  * New upstream release
    + Remove backported patches
  * Split C++ support into its own package, following upstream's split of the
    project.  (Closes: #1005206)
  * Breaks/Replaces libmsgpack-dev pre-4.0.0
  * Declare compliance with Policy 4.6.1, no changes needed

 -- James McCoy <jamessan@debian.org>  Fri, 15 Jul 2022 06:37:54 -0400

msgpack-c (3.3.0-4) unstable; urgency=medium

  * Add libboost-dev to libmsgpack-dev Depends (Ref #965301)

 -- James McCoy <jamessan@debian.org>  Sun, 19 Jul 2020 21:30:56 -0400

msgpack-c (3.3.0-3) unstable; urgency=medium

  * Revert "Enable MSGPACK_BOOST and add
    libboost-{chrono,context,system,timer}-dev Build-Depends".
    + libboost-context-dev isn't available on all architectures.  The next
      upstream version will refine the required Boost libaries.  Until then,
      go back to not running the Boost tests.
  * Only Build-Depend on libboost-dev for tests

 -- James McCoy <jamessan@debian.org>  Wed, 15 Jul 2020 10:18:06 -0400

msgpack-c (3.3.0-2) unstable; urgency=medium

  * Remove build17/ during cleanup
  * Backport upstream patches to fix FTBFS on armhf.  (Closes: #965010)
  * Enable MSGPACK_BOOST and add libboost-{chrono,context,system,timer}-dev
    Build-Depends.

 -- James McCoy <jamessan@debian.org>  Wed, 15 Jul 2020 01:41:36 -0400

msgpack-c (3.3.0-1) unstable; urgency=medium

  * New upstream release
    + Fix FTBFS on 32-bit architectures (Closes: #950496)
  * copyright: Remove unused Files/License paragraphs
  * Declare compliance with Policy 4.5.0, no changes needed
  * tests/control:
    + Add libcjson-dev to Depends for new json example

 -- James McCoy <jamessan@debian.org>  Fri, 05 Jun 2020 23:40:36 -0400

msgpack-c (3.2.1-1) experimental; urgency=medium

  * New upstream release (Closes: #919672)
  * rules:
    + Remove obsolete handling of differing hardening=+all,-pie semantics
    + Run build-time tests for C++11 and C++17
  * Switch to debhelper compat 12 via debhelper-compat
  * control:
    + Add graphviz to Build-Depends-Indep to build graphs in API docs
    + Mark libmsgpack-doc Multi-Arch: foreign
    + Mark libmsgpack-dev Multi-Arch: same
  * Use jdupes to reduce size of libmsgpack-doc
  * Declare compliance with Policy 4.4.1, no changes needed
  * autopkgtests:
    + Depend on libmsgpack-dev, not "@".  Installing libmsgpack-doc just
      wastes time/disk space.
    + Use example directory's CMakeLists.txt to build/test all examples
  * Avoid building/installing documentation for nodoc build profile/options
    + Add <!nodoc> to Build-Depends-Indep
    + Add <!nodoc> Build-Profiles to libmsgpack-doc stanza
    + Don't build libmsgpack-doc if DEB_BUILD_OPTIONS=nodoc

 -- James McCoy <jamessan@debian.org>  Wed, 01 Jan 2020 23:10:23 -0500

msgpack-c (3.0.1-3) unstable; urgency=medium

  * Use -DBUILD_GTEST=ON to be compatible with googletest < 1.8.1, which
    relied on gmock implicitly builing gtest

 -- James McCoy <jamessan@debian.org>  Sun, 28 Oct 2018 01:25:17 -0400

msgpack-c (3.0.1-2) unstable; urgency=medium

  * rules:
    + Do not fail build if build-gtest/ exists
    + Use -DBUILD_GMOCK=OFF to avoid building gmock, rather than trying to
      only build the googletest sub-directory (Closes: #912061)
    + Ensure dh_doxygen is called after dh_installdocs
  * Opt-in to debhelper 12 beta
  * Declare compliance with Policy 4.2.1, no changes needed
  * Add Build-Depends-Package to libmsgpackc2.symbols

 -- James McCoy <jamessan@debian.org>  Sat, 27 Oct 2018 23:57:16 -0400

msgpack-c (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * Use cmake+ninja dh buildsystem
  * rules: Build googletest so tests can run

 -- James McCoy <jamessan@debian.org>  Sat, 12 May 2018 07:34:55 -0400

msgpack-c (3.0.0-1) unstable; urgency=medium

  * New upstream release
    + Fixes FTBFS with gcc8 (Closes: #897815)
    + New v3 C++ API
  * copyright: Bump years for debian/* and *
  * Declare compliance with Policy 4.1.4, no changes needed
  * control: Differentiate libmsgpack-dev short description from libmsgpackc2
  * Build/run some of upstream's examples as basic autopkgtests

 -- James McCoy <jamessan@debian.org>  Thu, 10 May 2018 23:08:20 -0400

msgpack-c (2.1.5-2) unstable; urgency=medium

  * control:
    + Change Vcs-* to salsa.debian.org
    + Declare compliance with Policy 4.1.3
    + Set myself as maintainer.  Thanks to Taku YASUI for all his work on the
      package
    + Set Rules-Requires-Root to no
  * Bump debhelper compat to 11
  * Install doxygen docs using dh_installdocs
  * rules: Remove -pie from hardening build options for dpkg >= 1.18.23
  * Stop installing duplicate copy of upstream README
  * Register API documentation with doc-base

 -- James McCoy <jamessan@debian.org>  Wed, 28 Mar 2018 21:07:03 -0400

msgpack-c (2.1.5-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable
  * Declare compliance with Policy 4.1.0
    + Change Priority from extra to optional

 -- James McCoy <jamessan@debian.org>  Sun, 17 Sep 2017 08:53:26 -0400

msgpack-c (2.1.3-1) experimental; urgency=medium

  * New upstream release
    + Fix FTBFS with gcc-7 (Closes: #853564)
    + Bump minimum CMake version to 2.8.12
    + Provide CMake config files to assist building against msgpack-c.


