=== debian/changelog ===
msgpack-cxx (4.1.3-1) unstable; urgency=medium

  * New upstream release
  * debian/watch:
    - Use GitHub's tags page to find the release tarball
    - Bump watchfile version to 4
  * Add debian/upstream/metadata file

 -- James McCoy <jamessan@debian.org>  Tue, 20 Dec 2022 15:42:24 -0500
