=== debian/control ===
Source: msgpack-cxx
Section: libs
Priority: optional
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends-Indep:
 doxygen <!nodoc>,
 doxygen-latex <!nodoc>,
 graphviz <!nodoc>,
 jdupes <!nodoc>,
Build-Depends:
 cmake (>= 3.1),
 debhelper-compat (= 13),
 libboost-dev,
 libboost-system-dev <!nocheck>,
 libboost-test-dev <!nocheck>,
 ninja-build,
 zlib1g-dev,
Standards-Version: 4.6.1
Homepage: https://github.com/msgpack/msgpack-c/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/msgpack-cxx.git
Vcs-Browser: https://salsa.debian.org/debian/msgpack-cxx

Package: libmsgpack-cxx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Breaks: libmsgpack-dev (<< 4.0.0-1~)
Replaces: libmsgpack-dev (<< 4.0.0-1~)
Depends:
 libboost-dev,
 ${misc:Depends},
Suggests:
 libmsgpack-cxx-doc,
Description: binary-based efficient object serialization library (development files)
 MessagePack is a binary-based efficient object serialization library.
 It enables to exchange structured objects between many languages like JSON.
 But unlike JSON, it is very fast and small.
 .
 This package contains the headers files needed for developing with msgpack-cxx.

Package: libmsgpack-cxx-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: binary-based efficient object serialization library (docs)
 MessagePack is a binary-based efficient object serialization library.
 It enables to exchange structured objects between many languages like JSON.
 But unlike JSON, it is very fast and small.
 .
 This package contains the documentation of msgpack-cxx's API.
