=== debian/changelog ===
msgpack-cxx (6.1.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:37:09 +0000

msgpack-cxx (6.1.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1061497)
    - Remove backported patches
  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Mon, 26 Feb 2024 18:35:03 -0500

msgpack-cxx (6.0.0-2) experimental; urgency=medium

  * Backport upstream patch (test: Add missing rebind to allocators) to fix
    build with g++-13

 -- James McCoy <jamessan@debian.org>  Wed, 27 Sep 2023 10:21:09 -0400

msgpack-cxx (6.0.0-1) experimental; urgency=medium

  * New upstream release
    + Library renamed from msgpack to msgpack-cxx
  * Update packaging for msgpackc-cxx -> msgpack-cxx library renaming
  * Declare compliance with Policy 4.6.2, no changes needed
  * Catch errors for any C++ version, not just the last one
  * autopkgtest: Use msgpack-cxx package instead of msgpack

 -- James McCoy <jamessan@debian.org>  Fri, 23 Jun 2023 20:36:17 -0400
