=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: msgpack-cxx
 Section: libs
 Priority: optional
-Maintainer: James McCoy <jamessan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends-Indep:
  doxygen <!nodoc>,
  doxygen-latex <!nodoc>,
@@ -15,7 +16,7 @@
  libboost-test-dev <!nocheck>,
  ninja-build,
  zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/msgpack/msgpack-c/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/msgpack-cxx.git
