## msgpack-cxx 6.1.1

=== debian/changelog ===
msgpack-cxx (6.1.1-1) unstable; urgency=medium

  * New upstream release
  * Remove libboost-system-dev from Build-Depends. No longer needed by
    upstream tests.

 -- James McCoy <jamessan@debian.org>  Thu, 04 Apr 2024 08:23:03 -0400
