=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: msgpack-cxx
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: James McCoy <jamessan@debian.org>
+Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends-Indep:
  doxygen <!nodoc>,
  doxygen-latex <!nodoc>,
@@ -12,7 +11,6 @@
  cmake (>= 3.1),
  debhelper-compat (= 13),
  libboost-dev,
- libboost-system-dev <!nocheck>,
  libboost-test-dev <!nocheck>,
  ninja-build,
  zlib1g-dev,
